commit:     a097a325158439b25607afba75439fdd152ae444
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Wed May 31 10:03:51 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed May 31 17:06:36 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a097a325

dev-util/vint: verbump to 0.3.13.

Package-Manager: Portage-2.3.6, Repoman-2.3.2
Closes: https://github.com/gentoo/gentoo/pull/4814

 dev-util/vint/Manifest           |  1 +
 dev-util/vint/vint-0.3.13.ebuild | 46 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-util/vint/Manifest b/dev-util/vint/Manifest
index 672c9f1a8bb..9cc3d30a3a6 100644
--- a/dev-util/vint/Manifest
+++ b/dev-util/vint/Manifest
@@ -1 +1,2 @@
 DIST vint-0.3.11.tar.gz 90545 SHA256 
33fc2178b9244d3058669984735a3e20f82fd0e927b31387fc910336614d671f SHA512 
4e85192c9489fc1f4345d5d1e8e351182d73583d051705bc6655a054511764721ac334135dbeb6d4ba98af1e1c698e852fff720d01e323b279d4157997769c9a
 WHIRLPOOL 
cd6f2d69aa8401bd44a6dbe025fa084d1f12620da931fb91b4fbf22d0d02392cf9b0398f44210a623e135ac6571756b6ec8d1e573be1abfbc5996077431a93a7
+DIST vint-0.3.13.tar.gz 91599 SHA256 
7cb00bf3d83a093857db9a9bcc7d316a9fa52704cbeff991130eb34ed2d27df5 SHA512 
ef0b811df0250899e23e30ee4b240cf8b54e510231353ca86202661fd5f0826b9faeacc9268849e51bd6a1c71c1514498dec04a7a4ed79f00a5098811525e3d4
 WHIRLPOOL 
0c0a12c8a17ac2a4ab664b8aee03597a5e77b8a6b03458d4767c841d3adc03955bcbb0f876de09b2c4e194a94c9ab1d162a1902b6e49b146c4d8493ffe750e2d

diff --git a/dev-util/vint/vint-0.3.13.ebuild b/dev-util/vint/vint-0.3.13.ebuild
new file mode 100644
index 00000000000..db4fa94c1fe
--- /dev/null
+++ b/dev-util/vint/vint-0.3.13.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Lint tool for Vim script language"
+HOMEPAGE="https://github.com/Kuniwak/vint 
https://pypi.python.org/pypi/vim-vint/";
+SRC_URI="https://github.com/Kuniwak/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+       >=dev-python/ansicolor-0.2.4[${PYTHON_USEDEP}]
+       >=dev-python/chardet-2.3.0[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-3.11[${PYTHON_USEDEP}]
+       virtual/python-enum34[${PYTHON_USEDEP}]
+       virtual/python-pathlib[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/coverage-3.7.1[${PYTHON_USEDEP}]
+               >=dev-python/pytest-2.6.4[${PYTHON_USEDEP}]
+               >=dev-python/pytest-cov-1.8.1[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 
'>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' python2_7)
+       )
+"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       # Don't try to use an installed vint executable.
+       # See https://github.com/Kuniwak/vint/issues/22
+       sed -i -e "s|'vint'|'bin/vint'|" test/acceptance/test_cli{,_vital}.py 
|| die
+}
+
+python_test() {
+       py.test -v || die "Test suite failed with ${EPYTHON}"
+}

Reply via email to